package com.diaoyun.zion.chinafrica.service.impl;

import com.diaoyun.zion.chinafrica.dao.TbCfGoodstypeDao;
import com.diaoyun.zion.chinafrica.entity.TbCfGoodstypeEntity;
import com.diaoyun.zion.chinafrica.service.TbCfGoodstypeService;
import com.diaoyun.zion.master.util.IdUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * Service实现类
 *
 * @author lipengjun
 * @date 2019-10-08 16:34:40
 */
@Service("tbCfGoodstypeService")
public class TbCfGoodstypeServiceImpl implements TbCfGoodstypeService {
    @Autowired
    private TbCfGoodstypeDao tbCfGoodstypeDao;

    @Override
    public TbCfGoodstypeEntity queryObject(String goodstypeId) {
        return tbCfGoodstypeDao.queryObject(goodstypeId);
    }

    @Override
    public List<TbCfGoodstypeEntity> queryList(Map<String, Object> map) {
        return tbCfGoodstypeDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return tbCfGoodstypeDao.queryTotal(map);
    }

    @Override
    public int save(TbCfGoodstypeEntity tbCfGoodstype) {
        tbCfGoodstype.setGoodstypeId(IdUtil.createIdbyUUID());
        return tbCfGoodstypeDao.save(tbCfGoodstype);
    }

    @Override
    public int update(TbCfGoodstypeEntity tbCfGoodstype) {
        return tbCfGoodstypeDao.update(tbCfGoodstype);
    }

    @Override
    public int delete(String goodstypeId) {
        return tbCfGoodstypeDao.delete(goodstypeId);
    }

    @Override
    public int deleteBatch(String[] goodstypeIds) {
        return tbCfGoodstypeDao.deleteBatch(goodstypeIds);
    }
}
